Page MenuHomePhabricator

Quiz extension is missing @covers tags
Closed, ResolvedPublic

Description

PHPCS has identified that some of the Quiz PHPUnit tests are missing @covers tags. Those tags
are necessary for PHPUnit to accurately calculate test coverage.

See the PHPUnit documentation for how to use it.

Once the tags have been added, the MissingCovers sniff should be re-enabled in .phpcs.xml.

Details

Related Gerrit Patches:
mediawiki/extensions/Quiz : masterAdd @covers to unit tests

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 20 2018, 1:53 AM
Vvjjkkii renamed this task from Quiz extension is missing @covers tags to 9lcaaaaaaa.Jul 1 2018, 1:08 AM
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
JJMC89 renamed this task from 9lcaaaaaaa to Quiz extension is missing @covers tags.Jul 1 2018, 2:23 AM
JJMC89 raised the priority of this task from High to Needs Triage.
JJMC89 updated the task description. (Show Details)
JJMC89 added a subscriber: Aklapper.

Change 455127 had a related patch set uploaded (by Legoktm; owner: Umherirrender):
[mediawiki/extensions/Quiz@master] Add @covers to unit tests

https://gerrit.wikimedia.org/r/455127

Change 455127 merged by jenkins-bot:
[mediawiki/extensions/Quiz@master] Add @covers to unit tests

https://gerrit.wikimedia.org/r/455127

Legoktm closed this task as Resolved.Aug 25 2018, 6:18 AM
Legoktm assigned this task to Umherirrender.